curl --request GET \
--url https://app.kosli.com/api/v2/deployments/{org}/{env_name}/{fingerprint} \
--header 'Authorization: Bearer <token>'{
"fingerprint": "<string>",
"deployed_at": 123,
"artifact_name": "<string>",
"env_name": "<string>",
"snapshot_index": 123,
"artifact": {
"flow_name": "<string>",
"trail_name": "<string>",
"template_reference_name": "<string>",
"git_commit": "<string>",
"git_commit_info": {
"sha1": "<string>",
"message": "<string>",
"author": "<string>",
"branch": "<string>",
"timestamp": 123,
"url": "<string>"
},
"repo_info": {
"name": "<string>",
"repo_id": "<string>"
}
},
"replaced_artifact": {
"fingerprint": "<string>",
"artifact_name": "<string>",
"snapshot_index": 123,
"artifact": {
"flow_name": "<string>",
"trail_name": "<string>",
"template_reference_name": "<string>",
"git_commit": "<string>",
"git_commit_info": {
"sha1": "<string>",
"message": "<string>",
"author": "<string>",
"branch": "<string>",
"timestamp": 123,
"url": "<string>"
},
"repo_info": {
"name": "<string>",
"repo_id": "<string>"
}
}
},
"diff_url": "<string>",
"_links": {}
}Get a single deployment by environment and fingerprint.
curl --request GET \
--url https://app.kosli.com/api/v2/deployments/{org}/{env_name}/{fingerprint} \
--header 'Authorization: Bearer <token>'{
"fingerprint": "<string>",
"deployed_at": 123,
"artifact_name": "<string>",
"env_name": "<string>",
"snapshot_index": 123,
"artifact": {
"flow_name": "<string>",
"trail_name": "<string>",
"template_reference_name": "<string>",
"git_commit": "<string>",
"git_commit_info": {
"sha1": "<string>",
"message": "<string>",
"author": "<string>",
"branch": "<string>",
"timestamp": 123,
"url": "<string>"
},
"repo_info": {
"name": "<string>",
"repo_id": "<string>"
}
},
"replaced_artifact": {
"fingerprint": "<string>",
"artifact_name": "<string>",
"snapshot_index": 123,
"artifact": {
"flow_name": "<string>",
"trail_name": "<string>",
"template_reference_name": "<string>",
"git_commit": "<string>",
"git_commit_info": {
"sha1": "<string>",
"message": "<string>",
"author": "<string>",
"branch": "<string>",
"timestamp": 123,
"url": "<string>"
},
"repo_info": {
"name": "<string>",
"repo_id": "<string>"
}
}
},
"diff_url": "<string>",
"_links": {}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Show child attributes
Show child attributes
Was this page helpful?